링크
GET https://linktify.net/api/links/
curl --request GET \
--url 'https://linktify.net/api/links/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://linktify.net/api/links/' \
--header 'Authorization: Bearer {api_key}' \
| 매개변수 | 상세 | 설명 |
|---|---|---|
| search | 선택 문자열 | 검색 문자열. |
| search_by | 선택 문자열 | 검색 필드. 허용: url, location_url. |
| is_enabled | 선택 불리언 | |
| project_id | 선택 정수 | |
| domain_id | 선택 정수 | |
| type | 선택 문자열 |
biolink, link, file, vcard, event, static |
| datetime_field | 선택 문자열 | 허용 값: datetime, last_datetime |
| datetime_start | 선택 문자열 | 이 일시부터 필터. 형식 Y-m-d H:i:s. |
| datetime_end | 선택 문자열 | 이 일시까지 필터. 형식 Y-m-d H:i:s. |
| order_by | 선택 문자열 | 정렬 필드. 허용: link_id, datetime, last_datetime, clicks, url. |
| order_type | 선택 문자열 | 정렬 방향. ASC 오름차순, DESC 내림차순. |
| page | 선택 정수 | 결과를 가져올 페이지 번호. 기본 1. |
| results_per_page | 선택 정수 | 페이지당 개수. 허용: 10, 25, 50, 100, 250, 500, 1000. 기본 25. |
{
"data": [
{
"id": 1,
"project_id": null,
"domain_id": 0,
"type": "link",
"url": "example",
"location_url": "https://example.com/",
"settings": {
"password": null,
"sensitive_content": false
},
"clicks": 10,
"order": 0,
"start_date": null,
"end_date": null,
"datetime": "2026-06-04 00:47:51",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://linktify.net/api/links?page=1",
"last": "https://linktify.net/api/links?page=1",
"next": null,
"prev": null,
"self": "https://linktify.net/api/links?page=1"
}
}
GET https://linktify.net/api/links/{link_id}
curl --request GET \
--url 'https://linktify.net/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://linktify.net/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"project_id": null,
"domain_id": 0,
"type": "link",
"url": "example",
"location_url": "https://example.com/",
"settings": {
"password": null,
"sensitive_content": false
},
"clicks": 10,
"order": 0,
"start_date": null,
"end_date": null,
"datetime": "2026-06-04 00:47:51",
}
}
POST https://linktify.net/api/links
| 매개변수 | 상세 | 설명 |
|---|---|---|
| type | 선택 문자열 | link |
| location_url | 필수 문자열 | 목적지 URL.사용 가능 조건: is_bulk = 0 |
| location_urls | 필수 문자열 | 목적지 URL.사용 가능 조건: is_bulk = 1 |
| url | 선택 문자열 | 생성 링크의 URL 별칭. 비우면 무작위 생성.사용 가능 조건: is_bulk = 0 |
| is_bulk | 선택 불리언 | |
| domain_id | 선택 정수 | - |
| project_id | 선택 정수 | - |
| pixels_ids | 선택 배열 정수 | - |
| email_reports | 선택 배열 | 알림 핸들러 ID |
| schedule | 선택 불리언 | - |
| start_date | 선택 문자열 | 사용 가능 조건: schedule = true |
| end_date | 선택 문자열 | 사용 가능 조건: schedule = true |
| clicks_limit | 선택 정수 | - |
| expiration_url | 선택 문자열 | - |
| sensitive_content | 선택 불리언 | - |
| http_status_code | 선택 정수 | 허용 값: 301, 302, 307, 308 |
| app_linking_is_enabled | 선택 불리언 | - |
| cloaking_is_enabled | 선택 불리언 | - |
| cloaking_title | 선택 문자열 | - |
| cloaking_meta_description | 선택 문자열 | - |
| cloaking_custom_js | 선택 문자열 | - |
| cloaking_favicon | 선택 파일 | - |
| cloaking_opengraph | 선택 파일 | - |
| password | 선택 문자열 | - |
| forward_query_parameters_is_enabled | 선택 불리언 | - |
| seo_block | 선택 불리언 | - |
| utm_source | 선택 문자열 | - |
| utm_medium | 선택 문자열 | - |
| utm_campaign | 선택 문자열 | - |
| targeting_type | 선택 문자열 | continent_code, country_code, device_type, browser_language, rotation, os_name, browser_name |
| targeting_continent_code_key[index] | 선택 문자열 | 사용 가능 조건: targeting_type = continent_code |
| targeting_continent_code_value[index] | 선택 문자열 | 사용 가능 조건: targeting_type = continent_code |
| targeting_country_code_key[index] | 선택 문자열 | 사용 가능 조건: targeting_type = country_code |
| targeting_country_code_value[index] | 선택 문자열 | 사용 가능 조건: targeting_type = country_code |
| targeting_city_name_key[index] | 선택 문자열 | 사용 가능 조건: targeting_type = city_name |
| targeting_city_name_value[index] | 선택 문자열 | 사용 가능 조건: targeting_type = city_name |
| targeting_device_type_key[index] | 선택 문자열 | 사용 가능 조건: targeting_type = device_type |
| targeting_device_type_value[index] | 선택 문자열 | 사용 가능 조건: targeting_type = device_type |
| targeting_browser_language_key[index] | 선택 문자열 | 사용 가능 조건: targeting_type = browser_language |
| targeting_browser_language_value[index] | 선택 문자열 | 사용 가능 조건: targeting_type = browser_language |
| targeting_rotation_key[index] | 선택 문자열 | 사용 가능 조건: targeting_type = rotation |
| targeting_rotation_value[index] | 선택 문자열 | 사용 가능 조건: targeting_type = rotation |
| targeting_os_name_key[index] | 선택 문자열 | 사용 가능 조건: targeting_type = os_name |
| targeting_os_name_value[index] | 선택 문자열 | 사용 가능 조건: targeting_type = os_name |
| targeting_browser_name_key[index] | 선택 문자열 | 사용 가능 조건: targeting_type = browser_name |
| targeting_browser_name_value[index] | 선택 문자열 | 사용 가능 조건: targeting_type = browser_name |
curl --request POST \
--url 'https://linktify.net/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://linktify.net/' \
--url 'https://linktify.net/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://linktify.net/' \
{
"data": {
"id": 1
}
}
POST https://linktify.net/api/links/{link_id}
| 매개변수 | 상세 | 설명 |
|---|---|---|
| location_url | 선택 문자열 | 목적지 URL. |
| url | 선택 문자열 | 생성 링크의 URL 별칭. 비우면 무작위 생성. |
| domain_id | 선택 정수 | - |
| project_id | 선택 정수 | - |
| pixels_ids | 선택 배열 정수 | - |
| email_reports | 선택 배열 | 알림 핸들러 ID |
| schedule | 선택 불리언 | - |
| start_date | 선택 문자열 | 사용 가능 조건: schedule = true |
| end_date | 선택 문자열 | 사용 가능 조건: schedule = true |
| clicks_limit | 선택 정수 | - |
| expiration_url | 선택 문자열 | - |
| sensitive_content | 선택 불리언 | - |
| http_status_code | 선택 정수 | 허용 값: 301, 302, 307, 308 |
| app_linking_is_enabled | 선택 불리언 | - |
| cloaking_is_enabled | 선택 불리언 | - |
| cloaking_title | 선택 문자열 | - |
| cloaking_meta_description | 선택 문자열 | - |
| cloaking_custom_js | 선택 문자열 | - |
| cloaking_favicon | 선택 파일 | - |
| cloaking_opengraph | 선택 파일 | - |
| password | 선택 문자열 | - |
| forward_query_parameters_is_enabled | 선택 불리언 | - |
| seo_block | 선택 불리언 | - |
| utm_source | 선택 문자열 | - |
| utm_medium | 선택 문자열 | - |
| utm_campaign | 선택 문자열 | - |
| targeting_type | 선택 문자열 | continent_code, country_code, device_type, browser_language, rotation, os_name, browser_name |
| targeting_continent_code_key[index] | 선택 문자열 | 사용 가능 조건: targeting_type = continent_code |
| targeting_continent_code_value[index] | 선택 문자열 | 사용 가능 조건: targeting_type = continent_code |
| targeting_country_code_key[index] | 선택 문자열 | 사용 가능 조건: targeting_type = country_code |
| targeting_country_code_value[index] | 선택 문자열 | 사용 가능 조건: targeting_type = country_code |
| targeting_city_name_key[index] | 선택 문자열 | 사용 가능 조건: targeting_type = city_name |
| targeting_city_name_value[index] | 선택 문자열 | 사용 가능 조건: targeting_type = city_name |
| targeting_device_type_key[index] | 선택 문자열 | 사용 가능 조건: targeting_type = device_type |
| targeting_device_type_value[index] | 선택 문자열 | 사용 가능 조건: targeting_type = device_type |
| targeting_browser_language_key[index] | 선택 문자열 | 사용 가능 조건: targeting_type = browser_language |
| targeting_browser_language_value[index] | 선택 문자열 | 사용 가능 조건: targeting_type = browser_language |
| targeting_rotation_key[index] | 선택 문자열 | 사용 가능 조건: targeting_type = rotation |
| targeting_rotation_value[index] | 선택 문자열 | 사용 가능 조건: targeting_type = rotation |
| targeting_os_name_key[index] | 선택 문자열 | 사용 가능 조건: targeting_type = os_name |
| targeting_os_name_value[index] | 선택 문자열 | 사용 가능 조건: targeting_type = os_name |
| targeting_browser_name_key[index] | 선택 문자열 | 사용 가능 조건: targeting_type = browser_name |
| targeting_browser_name_value[index] | 선택 문자열 | 사용 가능 조건: targeting_type = browser_name |
curl --request POST \
--url 'https://linktify.net/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
--url 'https://linktify.net/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
{
"data": {
"id": 1
}
}
DELETE https://linktify.net/api/links/{link_id}
curl --request DELETE \
--url 'https://linktify.net/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://linktify.net/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \